POST
/
v1
/
bases
/
import
Import a base from a tarball
curl --request POST \
  --url https://api.example.com/v1/bases/import \
  --header 'Content-Type: application/json' \
  --data '
{
  "data_base64": "<string>",
  "name": "<string>",
  "builder": "<string>",
  "parent": "<string>",
  "parent_alias": "<string>",
  "parent_version": "<string>",
  "script": "<string>",
  "script_sha256": "<string>"
}
'
import requests

url = "https://api.example.com/v1/bases/import"

payload = {
"data_base64": "<string>",
"name": "<string>",
"builder": "<string>",
"parent": "<string>",
"parent_alias": "<string>",
"parent_version": "<string>",
"script": "<string>",
"script_sha256": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
data_base64: '<string>',
name: '<string>',
builder: '<string>',
parent: '<string>',
parent_alias: '<string>',
parent_version: '<string>',
script: '<string>',
script_sha256: '<string>'
})
};

fetch('https://api.example.com/v1/bases/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "created_at": "<string>",
  "name": "<string>",
  "size_bytes": 1,
  "version": "<string>"
}

Query Parameters

name
string

Base name (for binary upload)

parent
string

Parent base for layered import

Body

application/json

Base import request (JSON) or binary tarball with name query param

data_base64
string
required
name
string
required
builder
string | null
parent
string | null
parent_alias
string | null
parent_version
string | null
script
string | null
script_sha256
string | null

Response

Base imported

created_at
string
required
name
string
required
size_bytes
integer<int64>
required
Required range: x >= 0
version
string | null